For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
      • GETList Pages
      • GETGet Page Metadata
      • PUTUpdate Page Metadata
      • GETGet Page Content
      • POSTUpdate Page Content
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
Pages and ComponentsPages

List Pages

GET
https://api.webflow.com/v2/sites/:site_id/pages
GET
/v2/sites/:site_id/pages
$curl -G https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/pages \
> -H "Authorization: Bearer <token>" \
> -d localeId=65427cf400e02b306eaa04a0 \
> -d limit=100 \
> -d offset=0
1{
2 "pages": [
3 {
4 "id": "6596da6045e56dee495bcbba",
5 "siteId": "6258612d1ee792848f805dcf",
6 "title": "Guide to the Galaxy",
7 "slug": "guide-to-the-galaxy",
8 "createdOn": "2024-03-11T10:42:00.000Z",
9 "lastUpdated": "2024-03-11T10:42:42.000Z",
10 "archived": false,
11 "draft": false,
12 "canBranch": false,
13 "isBranch": true,
14 "branchId": "68026fa68ef6dc744c75b833",
15 "seo": {
16 "title": "The Ultimate Hitchhiker's Guide to the Galaxy",
17 "description": "Everything you need to know about the galaxy, from avoiding Vogon poetry to the importance of towels."
18 },
19 "openGraph": {
20 "title": "Explore the Cosmos with The Ultimate Guide",
21 "titleCopied": false,
22 "description": "Dive deep into the mysteries of the universe with your guide to everything galactic.",
23 "descriptionCopied": false
24 },
25 "localeId": "653fd9af6a07fc9cfd7a5e57",
26 "publishedPath": "/en-us/guide-to-the-galaxy"
27 },
28 {
29 "id": "6596da6045e56dee495bcbad",
30 "siteId": "6258612d1ee792848f805dcf",
31 "title": "Towel Day Celebrations",
32 "slug": "towel-day",
33 "createdOn": "2024-05-25T09:00:00.000Z",
34 "lastUpdated": "2024-05-25T09:42:00.000Z",
35 "archived": false,
36 "draft": false,
37 "canBranch": true,
38 "isBranch": false,
39 "branchId": null,
40 "seo": {
41 "title": "Celebrate Towel Day - The Hitchhiker's Guide to the Galaxy",
42 "description": "A guide to celebrating Towel Day, in honor of the most massively useful thing an interstellar hitchhiker can have."
43 },
44 "openGraph": {
45 "title": "Towel Day - Don't Panic",
46 "titleCopied": false,
47 "description": "Join the galaxy in celebrating Towel Day, the day dedicated to carrying towels everywhere in memory of Douglas Adams.",
48 "descriptionCopied": false
49 },
50 "localeId": "653fd9af6a07fc9cfd7a5e57",
51 "publishedPath": "/en-us/towel-day"
52 }
53 ],
54 "pagination": {
55 "limit": 20,
56 "offset": 0,
57 "total": 2
58 }
59}

List of all pages for a site.

Required scope | pages:read

Was this page helpful?
Previous

Get Page Metadata

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Query parameters

localeIdstringOptional

Unique identifier for a specific Locale.

Learn more about localization.

limitintegerOptional

Maximum number of records to be returned (max limit: 100)

offsetintegerOptional
Offset used for pagination if the results have more than limit records

Response

Request was successful
pageslist of objects
paginationobject
Pagination object

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error